Package net.sf.saxon.resource

## Class UnknownResource

- java.lang.Object
- - net.sf.saxon.resource.UnknownResource

- All Implemented Interfaces:
    `Resource`

      public class UnknownResource
      extends java.lang.Object
      implements Resource

  The class is an implementation of the generic Resource object (typically an item in a collection) representing a resource whose type is not yet known - typically because it uses an unregistered file extension. We attempt to establish a type for the resource when it is opened, by "sniffing" the content.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ResourceFactory` | `FACTORY` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnknownResource​(Configuration config, AbstractResourceCollection.InputDetails details)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getContentType()` | Get the media type (MIME type) of the resource if known
    `Item` | `getItem​(XPathContext context)` | Get an item representing the resource: in this case a document node for the XML document.
    `java.lang.String` | `getResourceURI()` | Get a URI that identifies this resource

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FACTORY

          public static final ResourceFactory FACTORY

  - ### Constructor Detail

    - #### UnknownResource

          public UnknownResource​(Configuration config,
                                 AbstractResourceCollection.InputDetails details)

  - ### Method Detail

    - #### getResourceURI

          public java.lang.String getResourceURI()

      Description copied from interface: `Resource`
      Get a URI that identifies this resource
      Specified by:
        `getResourceURI` in interface `Resource`
      Returns:
        a URI identifying this resource

    - #### getItem

          public Item getItem​(XPathContext context)
                       throws XPathException

      Get an item representing the resource: in this case a document node for the XML document.
      Specified by:
        `getItem` in interface `Resource`
      Parameters:
        `context` - the XPath evaluation context
      Returns:
        the document; or null if there is an error and the error is to be ignored
      Throws:
        `XPathException` - if (for example) XML parsing fails

    - #### getContentType

          public java.lang.String getContentType()

      Get the media type (MIME type) of the resource if known
      Specified by:
        `getContentType` in interface `Resource`
      Returns:
        the string "application/xml"